Page MenuHomePhabricator

New dialog action design doesn't work well for labelled safe actions
Closed, ResolvedPublic

Description

Not every 'safe' action is marked as 'back' or 'closed' (which becomes icon only):

In these cases the frameless back button has almost the same treatment as the dialog title
Before:


After:

If the intention was to drop support for labelled 'safe' actions then this should have been a breaking change, the API updated accordingly to force the user to use icons.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 28 2019, 11:22 AM
Esanders triaged this task as Unbreak Now! priority.Jun 28 2019, 4:34 PM
Restricted Application added a subscriber: Liuxinyu970226. · View Herald TranscriptJun 28 2019, 4:34 PM

this should have been a breaking change

Well, it was a breaking release library change, but yes.

There was no audit of downstream usages, and consequently we have no plan for how to fix this. If there isn't a fix within a week it will have to be reverted.

There is also no separator when there are multiple secondary actions in the footer. I am concerned that we are now being forced to rush through fixes because of a quick merge, rather than taking the time to design for all cases properly.

Again, I don't see this to be any more “rush” than other changes, when we have realized necessary theme changes.
I will provide patches for the identified issues. In this case it's simple side borders/backgrounds around “safe” actions.

It was already possible to make frameless buttons primary, we didn't prevent OOUI implementors from doing just that. What we deal with now, is only realizing that there are shortcomings from my POV.

I will provide patches for the identified issues. In this case it's simple side borders/backgrounds around “safe” actions.

I'm not sure this makes it clear that the text on the left is a button, but the text on the right is a label.

Change 520349 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[oojs/ui@master] WikimediaUI theme: Amend ProcessDialog ActionWidget appearance

https://gerrit.wikimedia.org/r/520349

Change 520349 merged by jenkins-bot:
[oojs/ui@master] WikimediaUI theme: Amend ProcessDialog ActionWidget appearance

https://gerrit.wikimedia.org/r/520349

Esanders added a comment.EditedJul 3 2019, 7:12 PM

After patch:


Volker_E closed this task as Resolved.Jul 3 2019, 7:27 PM
Volker_E claimed this task.
Volker_E moved this task from Backlog to OOUI-0.33.1 on the OOUI board.
Volker_E edited projects, added OOUI (OOUI-0.33.1); removed OOUI.

Change 520637 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/core@master] Update OOUI to v0.33.1

https://gerrit.wikimedia.org/r/520637

Change 520637 merged by jenkins-bot:
[mediawiki/core@master] Update OOUI to v0.33.1

https://gerrit.wikimedia.org/r/520637

Esanders reopened this task as Open.Jul 10 2019, 8:36 PM

If the action has a 'back' flag then it doesn't get the correct styling as it assumes the message will be converted to an icon, which it isn't on desktop (yet):

Change 521951 had a related patch set uploaded (by Esanders; owner: Esanders):
[oojs/ui@master] WMUI: Apply frameless dialog action hack to icon-only actions

https://gerrit.wikimedia.org/r/521951

Change 521951 merged by jenkins-bot:
[oojs/ui@master] WikimediaUI theme: Apply frameless appearance to icon-only dialog actions

https://gerrit.wikimedia.org/r/521951

Volker_E closed this task as Resolved.Jul 11 2019, 3:32 PM
Volker_E removed a project: Patch-For-Review.

Change 523823 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[mediawiki/core@master] Update OOUI to v0.33.3

https://gerrit.wikimedia.org/r/523823

Change 523823 merged by jenkins-bot:
[mediawiki/core@master] Update OOUI to v0.33.3

https://gerrit.wikimedia.org/r/523823